Annotation en texte enrichi TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw RichTextBlock and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Page précédente: Techdraw-mline.svg LeaderLine
Page suivante: Cosmetic Vertex Techdraw-point.svg Arrow-right.svg

Techdraw-textleader.svg TechDraw RichTextBlock

Emplacement du menu
TechDraw → RichTextBlock
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Templates, Draft SVG, LeaderLine


Description

L'outil RichTextBlock ajoute un bloc d'annotation formaté (Text Rich Format) à un LeaderLine ou à une vue.

TechDraw RichTextBlock sample.png

RichTextBlock


Utilisation

  1. Appuyez sur le bouton Techdraw-textleader.svg RichTextBlock.
  2. Une boîte de dialogue de tâche va s'ouvrir. La boîte de dialogue permet une saisie rapide du texte.
  3. Le bouton démarrer l'éditeur de texte enrichi et ouvrira un éditeur complet. Appuyez sur l’icône Sauvegarder pour enregistrer vos modifications.
  4. Une fois le bloc créé, vous pouvez le modifier en double-cliquant sur RichTextBlock dans l'arborescence.
  5. Pour attacher le bloc à un LeaderLine, sélectionnez la ligne avant de démarrer l'outil RichTextBlock.


Propriétés

  • DONNÉESX, Y: l'emplacement du bloc. Par rapport à la fin de la ligne si elle est attachée à un LeaderLine, sinon c'est la position sur la page.
  • DONNÉESShowFrame: Dessine un contour autour du bloc.
  • DONNÉESMaxWidth: Limite la taille horizontale du bloc. Une valeur de -1 correspond à une largeur illimitée.
  • DONNÉESAnnoText: Le texte au format HTML du bloc.


Script

Voir aussi: TechDraw API et FreeCAD Scripts de Base.

L'outil RichTextBlock peut être utilisé dans une macro ou dans la console Python.

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Notes

  • Vous pouvez modifier votre RichTextBlock en double-cliquant dessus dans la vue arborescente. Un double clic dans la zone graphique n’est pas encore supporté.
Arrow-left.svg Page précédente: Techdraw-mline.svg LeaderLine
Page suivante: Cosmetic Vertex Techdraw-point.svg Arrow-right.svg